startup error on latest SVN

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

startup error on latest SVN

Bugzilla from chris@ilovelinux.de
User Information:
===================

The error occurs right after the start of the latest SVN version. I kept
close to the instruction from the Wiki.


Error Details:
===================

11066: ERROR: gramps.py: line 179: Gramps failed to start.
Traceback (most recent call last):
  File "src/gramps.py", line 172, in run
    gramps_main.Gramps(args)
  File "/home/christian/gramps30/src/gramps_main.py", line 252, in __init__
    ah.handle_args()
  File "/home/christian/gramps30/src/ArgHandler.py", line 450, in
handle_args
    self.vm.read_recent_file(rf, filetype)
AttributeError: ViewManager instance has no attribute 'read_recent_file'

System Information:
===================

Python version: 2.4.4 (#1, Sep 22 2007, 22:49:49) [GCC 4.1.2 (Gentoo
4.1.2)]
BSDDB version: 4.3.0.3
Gramps version: 2.3.91-0.SVN8997M
LANG:
OS: Linux
Distribution: 2.6.22-gentoo-r5

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs
Reply | Threaded
Open this post in threaded view
|

Re: startup error on latest SVN

Benny Malengier
svn up

I disabled reading recent file in GRAMPS 3.0, it is completely broken in 3.0

Should work now. Anyway, having the preference 'loading last database automatically' is extremely dangerous when testing a new version, as you can destroy your last good copy. 3.0 uses some of the same settings of 2.2.8

Benny

2007/9/23, Christian Schmitt <[hidden email]>:
User Information:
===================

The error occurs right after the start of the latest SVN version. I kept
close to the instruction from the Wiki.


Error Details:
===================

11066: ERROR: gramps.py: line 179: Gramps failed to start.
Traceback (most recent call last):
  File "src/gramps.py", line 172, in run
    gramps_main.Gramps(args)
  File "/home/christian/gramps30/src/gramps_main.py", line 252, in __init__
    ah.handle_args()
  File "/home/christian/gramps30/src/ArgHandler.py", line 450, in
handle_args
    self.vm.read_recent_file(rf, filetype)
AttributeError: ViewManager instance has no attribute 'read_recent_file'

System Information:
===================

Python version: 2.4.4 (#1, Sep 22 2007, 22:49:49) [GCC 4.1.2 (Gentoo
4.1.2)]
BSDDB version: 4.3.0.3
Gramps version: 2.3.91-0.SVN8997M
LANG:
OS: Linux
Distribution: 2.6.22-gentoo-r5

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs
Reply | Threaded
Open this post in threaded view
|

Fwd: startup error on latest SVN

Benny Malengier


---------- Forwarded message ----------
Don,

I disabled reading recent file in 3.0 because it crashes gramps now due to all changes.

Do you have an idea how to implement loading last database in 3.0 with the new family manager, or will we not allow it anymore?

That is, if I make a bug on the tracker not to forget doing this, how should we handle open recent file?

Benny



From: Benny Malengier <[hidden email]>
Date: 23 sep. 2007 20:31
Subject: Re: [Gramps-bugs] startup error on latest SVN
To: Christian Schmitt <[hidden email]>
Cc: [hidden email]

svn up

I disabled reading recent file in GRAMPS 3.0, it is completely broken in 3.0

Should work now. Anyway, having the preference 'loading last database automatically' is extremely dangerous when testing a new version, as you can destroy your last good copy. 3.0 uses some of the same settings of 2.2.8

Benny

2007/9/23, Christian Schmitt <[hidden email]>:
User Information:
===================

The error occurs right after the start of the latest SVN version. I kept
close to the instruction from the Wiki.


Error Details:
===================

11066: ERROR: gramps.py: line 179: Gramps failed to start.
Traceback (most recent call last):
  File "src/gramps.py", line 172, in run
    gramps_main.Gramps(args)
  File "/home/christian/gramps30/src/gramps_main.py", line 252, in __init__
    ah.handle_args()
  File "/home/christian/gramps30/src/ArgHandler.py", line 450, in
handle_args
    self.vm.read_recent_file(rf, filetype)
AttributeError: ViewManager instance has no attribute 'read_recent_file'

System Information:
===================

Python version: 2.4.4 (#1, Sep 22 2007, 22:49:49) [GCC 4.1.2 (Gentoo
4.1.2)]
BSDDB version: <a href="http://4.3.0.3" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)"> 4.3.0.3
Gramps version: 2.3.91-0.SVN8997M
LANG:
OS: Linux
Distribution: 2.6.22-gentoo-r5

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
<a href="http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
<a href="https://lists.sourceforge.net/lists/listinfo/gramps-bugs" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">https://lists.sourceforge.net/lists/listinfo/gramps-bugs


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs
Reply | Threaded
Open this post in threaded view
|

Re: Fwd: startup error on latest SVN

Don Allingham
Alex was supposed to have fixed this in the 3.0 branch.


On Sun, 2007-09-23 at 20:33 +0200, Benny Malengier wrote:

>
>
> ---------- Forwarded message ----------
> Don,
>
> I disabled reading recent file in 3.0 because it crashes gramps now
> due to all changes.
>
> Do you have an idea how to implement loading last database in 3.0 with
> the new family manager, or will we not allow it anymore?
>
> That is, if I make a bug on the tracker not to forget doing this, how
> should we handle open recent file?
>
> Benny
>
>
>
> From: Benny Malengier <[hidden email]>
> Date: 23 sep. 2007 20:31
> Subject: Re: [Gramps-bugs] startup error on latest SVN
> To: Christian Schmitt <[hidden email]>
> Cc: [hidden email]
>
> svn up
>
> I disabled reading recent file in GRAMPS 3.0, it is completely broken
> in 3.0
>
> Should work now. Anyway, having the preference 'loading last database
> automatically' is extremely dangerous when testing a new version, as
> you can destroy your last good copy. 3.0 uses some of the same
> settings of 2.2.8
>
> Benny
>
> 2007/9/23, Christian Schmitt <[hidden email]>:
>         User Information:
>         ===================
>        
>         The error occurs right after the start of the latest SVN
>         version. I kept
>         close to the instruction from the Wiki.
>        
>        
>         Error Details:
>         ===================
>        
>         11066: ERROR: gramps.py: line 179: Gramps failed to start.
>         Traceback (most recent call last):
>           File "src/gramps.py", line 172, in run
>             gramps_main.Gramps(args)
>           File "/home/christian/gramps30/src/gramps_main.py", line
>         252, in __init__
>             ah.handle_args()
>           File "/home/christian/gramps30/src/ArgHandler.py", line 450,
>         in
>         handle_args
>             self.vm.read_recent_file(rf, filetype)
>         AttributeError: ViewManager instance has no attribute
>         'read_recent_file'
>        
>         System Information:
>         ===================
>        
>         Python version: 2.4.4 (#1, Sep 22 2007, 22:49:49) [GCC 4.1.2
>         (Gentoo
>         4.1.2)]
>         BSDDB version: 4.3.0.3
>         Gramps version: 2.3.91-0.SVN8997M
>         LANG:
>         OS: Linux
>         Distribution: 2.6.22-gentoo-r5
>        
>         -------------------------------------------------------------------------
>         This SF.net email is sponsored by: Microsoft
>         Defy all challenges. Microsoft(R) Visual Studio 2005.
>         http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
>         _______________________________________________
>         Gramps-bugs mailing list
>         [hidden email]
>         https://lists.sourceforge.net/lists/listinfo/gramps-bugs
>

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: startup error on latest SVN

Bugzilla from chris@ilovelinux.de
In reply to this post by Benny Malengier
Benny Malengier wrote:

> svn up
>
> I disabled reading recent file in GRAMPS 3.0, it is completely broken in
> 3.0
>
> Should work now. Anyway, having the preference 'loading last database
> automatically' is extremely dangerous when testing a new version, as you
> can destroy your last good copy. 3.0 uses some of the same settings of 2.2.8
>
> Benny

It works now. Thanks a lot.
Before starting the SVN version the first time, I renamed the .gramps
directory to make sure there are no problems with the old preferences.
So it's kind of strange that this occured.

Chris

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs
Reply | Threaded
Open this post in threaded view
|

Re: startup error on latest SVN

Benny Malengier


2007/9/23, Christian Schmitt <[hidden email]>:
Benny Malengier wrote:

> svn up
>
> I disabled reading recent file in GRAMPS 3.0, it is completely broken in
> 3.0
>
> Should work now. Anyway, having the preference 'loading last database
> automatically' is extremely dangerous when testing a new version, as you
> can destroy your last good copy. 3.0 uses some of the same settings of 2.2.8
>
> Benny

It works now. Thanks a lot.
Before starting the SVN version the first time, I renamed the .gramps
directory to make sure there are no problems with the old preferences.
So it's kind of strange that this occured.


Renaming the .gramps  directory will make all your .grdb files crash.
Read: 
http://www.gramps-project.org/wiki/index.php?title=Recover_corrupted_grdb

Benny

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Gramps-bugs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-bugs